const fetchFilmInfo = async () => {
try {
const response = await axios.get(
`${mainUrl}/v2.2/films/${kinopoiskId}`,
{
headers: {
'X-API-KEY' : X_API_KEY,
Accept: 'application/json',
},
},
);
setFilm(response)
} catch (error) {
// console.log(error)
}
}
const fetchFilmImg =async () => {
try {
const response = await axios.get(
`${mainUrl}/v2.2/films/${kinopoiskId}/images`,
{
headers: {
'X-API-KEY' : X_API_KEY,
Accept: 'application/json',
},
},
);
// console.log(response.data)
setFilmImg(response)
} catch (error) {
console.info(error)
}
}

     stuff.data.map((person:any)=>{
        switch (person.professionKey) {
          // case "ACTOR":
          //   _actors.push(person)
          //   break;
          case "DIRECTOR":
            console.log(person.professionKey)
            setDirectors((old:any) => [...old, person])
            break;
          // case "PRODUCER":
          //   _producers.push(person)
          //   break;
          default:
            break;
        }
        return null
      })
